/* Обнуление отступов и полей для всех элементов */
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
h5,
h6,
a,
p,
ul,
ol,
li,
figure,
figcaption,
blockquote,
dl,
dd,
details,
summary {
    margin: 0;
    padding: 0;
}

/* Удаление стандартных маркеров и нумерации для списков */
ul,
ol,
dl,
dd,
details {
    list-style: none;
}

/* Убирание подчеркивания для ссылок */
a {
    text-decoration: none;
    color: inherit;
}

/* Установка базового стиля для изображений */
img {
    display: block;
}

/* Убираем контур фокуса на некоторых элементах */
button,
input,
select,
textarea {
    outline: none;
}
